var u = Object.defineProperty;
var C = (y, e, a) => e in y ? u(y, e, { enumerable: !0, configurable: !0, writable: !0, value: a }) : y[e] = a;
var n = (y, e, a) => C(y, typeof e != "symbol" ? e + "" : e, a);
import { createAsyncThunk as p } from "@reduxjs/toolkit";
import { EndPoint as d } from "./api-config.js";
import { HttpStore as B } from "./index-http.store.js";
import { AbortControllersManager as I } from "./index-abort-controllers-manager.js";
import { firstValueFrom as g } from "./index-firstValueFrom.js";
const t = class t extends B {
  /**
   * Get Images from Unsplash
   */
  /**
   * AIMediaItems Generate
   * Get Images from Unsplash
   */
  patchClientAiMediaItemsGenerateByLocationId(e, a, o, r) {
    return this.patch(new d(`/app/api/client/ai/mediaItems/${e}/generate`), a, o, r);
  }
  /**
   * Get Images from Unsplash
   */
  /**
   * AIMediaItems Generate
   * Get Images from Unsplash
   */
  postClientAiMediaItemsGenerateByLocationId(e, a, o, r, s) {
    return this.post(new d(`/app/api/client/ai/mediaItems/${e}/generate`), a, o, r, s);
  }
  /**
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  /**
   * Generate AI Images
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  patchClientAiMediaItemsGenerateImageByLocationId(e, a, o, r) {
    return this.patch(new d(`/app/api/client/ai/mediaItems/${e}/generateImage`), a, o, r);
  }
  /**
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  /**
   * Generate AI Images
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  postClientAiMediaItemsGenerateImageByLocationId(e, a, o, r, s) {
    return this.post(new d(`/app/api/client/ai/mediaItems/${e}/generateImage`), a, o, r, s);
  }
  /**
   * Returns the Project's AI Assistant's Settings
   */
  /**
   * ProjectAIAssistantSetting Get
   * Returns the Project's AI Assistant's Settings
   */
  getClientAiAiAssistantSettingByProjectId(e, a, o) {
    return this.get(new d(`/app/api/client/ai/aiAssistantSetting/${e}`), a, o);
  }
  /**
   * Updates Project's AI Assistant Setting
   */
  /**
   * ProjectAIAssistantSetting Update
   * Updates Project's AI Assistant Setting
   */
  patchClientAiAiAssistantSettingByProjectId(e, a, o, r) {
    return this.patch(new d(`/app/api/client/ai/aiAssistantSetting/${e}`), a, o, r);
  }
  /**
   * Updates Project's AI Assistant Setting
   */
  /**
   * ProjectAIAssistantSetting Update
   * Updates Project's AI Assistant Setting
   */
  postClientAiAiAssistantSettingByProjectId(e, a, o, r, s) {
    return this.post(new d(`/app/api/client/ai/aiAssistantSetting/${e}`), a, o, r, s);
  }
  /**
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  /**
   * AIText Adjust
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  patchClientAiTextAdjustByLocationId(e, a, o, r) {
    return this.patch(new d(`/app/api/client/ai/text/${e}/adjust`), a, o, r);
  }
  /**
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  /**
   * AIText Adjust
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  postClientAiTextAdjustByLocationId(e, a, o, r, s) {
    return this.post(new d(`/app/api/client/ai/text/${e}/adjust`), a, o, r, s);
  }
};
/**
 * Manager of list of AbortControllers for the Request
 */
n(t, "patchClientAiMediaItemsGenerateByLocationIdAbortManager", new I()), n(t, "patchClientAiMediaItemsGenerateByLocationIdThunk", p(
  /**
   * AIMediaItems Generate
   * Get Images from Unsplash
   */
  "patchClientAiMediaItemsGenerateByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o
  }, {
    rejectWithValue: r
  } = {}) => {
    const s = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const i = new AbortController(), c = i.signal;
      t.patchClientAiMediaItemsGenerateByLocationIdAbortManager._push(s, i);
      const l = await g(A.patchClientAiMediaItemsGenerateByLocationId(e, a, o, c));
      return t.patchClientAiMediaItemsGenerateByLocationIdAbortManager._remove(s), l;
    } catch (i) {
      return t.patchClientAiMediaItemsGenerateByLocationIdAbortManager._remove(s), r(i.response.data);
    }
  }
)), n(t, "patchClientAiMediaItemsGenerateByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/mediaItems/{locationId}/generate")), n(t, "patchClientAiMediaItemsGenerateByLocationIdUrlMockRequest", "/app/api/client/ai/mediaItems/{locationId}/generate(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "postClientAiMediaItemsGenerateByLocationIdAbortManager", new I()), n(t, "postClientAiMediaItemsGenerateByLocationIdThunk", p(
  /**
   * AIMediaItems Generate
   * Get Images from Unsplash
   */
  "postClientAiMediaItemsGenerateByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o,
    contentType: r = "application/json"
  }, {
    rejectWithValue: s
  } = {}) => {
    const i = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const c = new AbortController(), l = c.signal;
      t.postClientAiMediaItemsGenerateByLocationIdAbortManager._push(i, c);
      const m = await g(A.postClientAiMediaItemsGenerateByLocationId(e, a, o, l, r));
      return t.postClientAiMediaItemsGenerateByLocationIdAbortManager._remove(i), m;
    } catch (c) {
      return t.postClientAiMediaItemsGenerateByLocationIdAbortManager._remove(i), s(c.response.data);
    }
  }
)), n(t, "postClientAiMediaItemsGenerateByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/mediaItems/{locationId}/generate")), n(t, "postClientAiMediaItemsGenerateByLocationIdUrlMockRequest", "/app/api/client/ai/mediaItems/{locationId}/generate(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "patchClientAiMediaItemsGenerateImageByLocationIdAbortManager", new I()), n(t, "patchClientAiMediaItemsGenerateImageByLocationIdThunk", p(
  /**
   * Generate AI Images
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  "patchClientAiMediaItemsGenerateImageByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o
  }, {
    rejectWithValue: r
  } = {}) => {
    const s = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const i = new AbortController(), c = i.signal;
      t.patchClientAiMediaItemsGenerateImageByLocationIdAbortManager._push(s, i);
      const l = await g(A.patchClientAiMediaItemsGenerateImageByLocationId(e, a, o, c));
      return t.patchClientAiMediaItemsGenerateImageByLocationIdAbortManager._remove(s), l;
    } catch (i) {
      return t.patchClientAiMediaItemsGenerateImageByLocationIdAbortManager._remove(s), r(i.response.data);
    }
  }
)), n(t, "patchClientAiMediaItemsGenerateImageByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/mediaItems/{locationId}/generateImage")), n(t, "patchClientAiMediaItemsGenerateImageByLocationIdUrlMockRequest", "/app/api/client/ai/mediaItems/{locationId}/generateImage(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "postClientAiMediaItemsGenerateImageByLocationIdAbortManager", new I()), n(t, "postClientAiMediaItemsGenerateImageByLocationIdThunk", p(
  /**
   * Generate AI Images
   * Generate AI Images based on
   * prompt, style, contrast, color mode and keywords
   */
  "postClientAiMediaItemsGenerateImageByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o,
    contentType: r = "application/json"
  }, {
    rejectWithValue: s
  } = {}) => {
    const i = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const c = new AbortController(), l = c.signal;
      t.postClientAiMediaItemsGenerateImageByLocationIdAbortManager._push(i, c);
      const m = await g(A.postClientAiMediaItemsGenerateImageByLocationId(e, a, o, l, r));
      return t.postClientAiMediaItemsGenerateImageByLocationIdAbortManager._remove(i), m;
    } catch (c) {
      return t.postClientAiMediaItemsGenerateImageByLocationIdAbortManager._remove(i), s(c.response.data);
    }
  }
)), n(t, "postClientAiMediaItemsGenerateImageByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/mediaItems/{locationId}/generateImage")), n(t, "postClientAiMediaItemsGenerateImageByLocationIdUrlMockRequest", "/app/api/client/ai/mediaItems/{locationId}/generateImage(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "getClientAiAiAssistantSettingByProjectIdAbortManager", new I()), n(t, "getClientAiAiAssistantSettingByProjectIdThunk", p(
  /**
   * ProjectAIAssistantSetting Get
   * Returns the Project's AI Assistant's Settings
   */
  "getClientAiAiAssistantSettingByProjectId",
  async ({
    projectId: e,
    queryParams: a
  }, {
    rejectWithValue: o
  } = {}) => {
    const r = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const s = new AbortController(), i = s.signal;
      t.getClientAiAiAssistantSettingByProjectIdAbortManager._push(r, s);
      const c = await g(A.getClientAiAiAssistantSettingByProjectId(e, a, i));
      return t.getClientAiAiAssistantSettingByProjectIdAbortManager._remove(r), c;
    } catch (s) {
      return t.getClientAiAiAssistantSettingByProjectIdAbortManager._remove(r), o(s.response.data);
    }
  }
)), n(t, "getClientAiAiAssistantSettingByProjectIdUrlRegEx", new RegExp("/app/api/client/ai/aiAssistantSetting/{projectId}")), n(t, "getClientAiAiAssistantSettingByProjectIdUrlMockRequest", "/app/api/client/ai/aiAssistantSetting/{projectId}(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "patchClientAiAiAssistantSettingByProjectIdAbortManager", new I()), n(t, "patchClientAiAiAssistantSettingByProjectIdThunk", p(
  /**
   * ProjectAIAssistantSetting Update
   * Updates Project's AI Assistant Setting
   */
  "patchClientAiAiAssistantSettingByProjectId",
  async ({
    projectId: e,
    requestBody: a,
    queryParams: o
  }, {
    rejectWithValue: r
  } = {}) => {
    const s = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const i = new AbortController(), c = i.signal;
      t.patchClientAiAiAssistantSettingByProjectIdAbortManager._push(s, i);
      const l = await g(A.patchClientAiAiAssistantSettingByProjectId(e, a, o, c));
      return t.patchClientAiAiAssistantSettingByProjectIdAbortManager._remove(s), l;
    } catch (i) {
      return t.patchClientAiAiAssistantSettingByProjectIdAbortManager._remove(s), r(i.response.data);
    }
  }
)), n(t, "patchClientAiAiAssistantSettingByProjectIdUrlRegEx", new RegExp("/app/api/client/ai/aiAssistantSetting/{projectId}")), n(t, "patchClientAiAiAssistantSettingByProjectIdUrlMockRequest", "/app/api/client/ai/aiAssistantSetting/{projectId}(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "postClientAiAiAssistantSettingByProjectIdAbortManager", new I()), n(t, "postClientAiAiAssistantSettingByProjectIdThunk", p(
  /**
   * ProjectAIAssistantSetting Update
   * Updates Project's AI Assistant Setting
   */
  "postClientAiAiAssistantSettingByProjectId",
  async ({
    projectId: e,
    requestBody: a,
    queryParams: o,
    contentType: r = "application/json"
  }, {
    rejectWithValue: s
  } = {}) => {
    const i = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const c = new AbortController(), l = c.signal;
      t.postClientAiAiAssistantSettingByProjectIdAbortManager._push(i, c);
      const m = await g(A.postClientAiAiAssistantSettingByProjectId(e, a, o, l, r));
      return t.postClientAiAiAssistantSettingByProjectIdAbortManager._remove(i), m;
    } catch (c) {
      return t.postClientAiAiAssistantSettingByProjectIdAbortManager._remove(i), s(c.response.data);
    }
  }
)), n(t, "postClientAiAiAssistantSettingByProjectIdUrlRegEx", new RegExp("/app/api/client/ai/aiAssistantSetting/{projectId}")), n(t, "postClientAiAiAssistantSettingByProjectIdUrlMockRequest", "/app/api/client/ai/aiAssistantSetting/{projectId}(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "patchClientAiTextAdjustByLocationIdAbortManager", new I()), n(t, "patchClientAiTextAdjustByLocationIdThunk", p(
  /**
   * AIText Adjust
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  "patchClientAiTextAdjustByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o
  }, {
    rejectWithValue: r
  } = {}) => {
    const s = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const i = new AbortController(), c = i.signal;
      t.patchClientAiTextAdjustByLocationIdAbortManager._push(s, i);
      const l = await g(A.patchClientAiTextAdjustByLocationId(e, a, o, c));
      return t.patchClientAiTextAdjustByLocationIdAbortManager._remove(s), l;
    } catch (i) {
      return t.patchClientAiTextAdjustByLocationIdAbortManager._remove(s), r(i.response.data);
    }
  }
)), n(t, "patchClientAiTextAdjustByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/text/{locationId}/adjust")), n(t, "patchClientAiTextAdjustByLocationIdUrlMockRequest", "/app/api/client/ai/text/{locationId}/adjust(.*)"), /**
 * Manager of list of AbortControllers for the Request
 */
n(t, "postClientAiTextAdjustByLocationIdAbortManager", new I()), n(t, "postClientAiTextAdjustByLocationIdThunk", p(
  /**
   * AIText Adjust
   * Adjusts the given AI Text, only one adjustment is made at a time
   *
   *
   *
   *
   * @throws \ReflectionException
   */
  "postClientAiTextAdjustByLocationId",
  async ({
    locationId: e,
    requestBody: a,
    queryParams: o,
    contentType: r = "application/json"
  }, {
    rejectWithValue: s
  } = {}) => {
    const i = (/* @__PURE__ */ new Date()).getTime().toString();
    try {
      const c = new AbortController(), l = c.signal;
      t.postClientAiTextAdjustByLocationIdAbortManager._push(i, c);
      const m = await g(A.postClientAiTextAdjustByLocationId(e, a, o, l, r));
      return t.postClientAiTextAdjustByLocationIdAbortManager._remove(i), m;
    } catch (c) {
      return t.postClientAiTextAdjustByLocationIdAbortManager._remove(i), s(c.response.data);
    }
  }
)), n(t, "postClientAiTextAdjustByLocationIdUrlRegEx", new RegExp("/app/api/client/ai/text/{locationId}/adjust")), n(t, "postClientAiTextAdjustByLocationIdUrlMockRequest", "/app/api/client/ai/text/{locationId}/adjust(.*)");
let h = t;
const A = new h();
export {
  h as AiStore,
  A as aiStore
};
